/*
 * One_wire_PIC.c
 *
 * Created: 1.11.2012 10:50:00
 *  Author: Standa
 */ 

#include <htc.h>
#include "Fcpu.h"
#include "One_wire.h"

//================================================================
//Pkaz reset(time cca 1,5ms)
//================================================================
unsigned char Ow_Reset(void)
{
    unsigned char PRESEN = 0;
    DS_TRIS = 0;                //DQ vstup
    DS_PORT = 0;                //DQ = 0;
    __delay_us(480);
    DS_TRIS = 1;                //DQ vstup
    __delay_us(65);
//Pokud je pipojeno idlo PRESEN = 1	
    if(DS_PORT == 0)
    {
	PRESEN = 1;	
    }
    __delay_us(480);
    return PRESEN;
}
//==================================================================
//Read byte(time cca 600us)
//===================================================================
unsigned char Ow_Read(void)
{
    unsigned char byte = 0;
	
    for(unsigned char i=0;i<8;i++)
    {
        DS_TRIS = 0;                //DQ vstup
        DS_PORT = 0;                //DQ = 0;
	__delay_us(5);	
	DS_TRIS = 1;                //DQ vstup
	__delay_us(10);
	if(DS_PORT>0)
	{
            byte|=1<<i;
	}
	__delay_us(55);
    }
    return byte;
}
//===============================================================
// Write byte(time cca 600us)
//===============================================================
void Ow_Write(unsigned char data)
{
    for(unsigned char i=0;i<8;i++)
    {
        if((data&(1<<i)) > 0)
	{
            DS_TRIS = 0;                //DQ vstup
            DS_PORT = 0;                //DQ = 0;
            __delay_us(5);
            DS_TRIS = 1;                //DQ vstup
            __delay_us(65);
	}
	else
	{
            DS_TRIS = 0;                //DQ vstup
            DS_PORT = 0;                //DQ = 0;
            __delay_us(60);
             DS_TRIS = 1;                //DQ vstup
            __delay_us(10);
	}	 	
    }
}