/*
 * One_wire_PIC.h
 *
 * Created: 1.11.2012 10:48:50
 *  Author: Standa
 */ 

#ifndef ONE_WIRE_H_
#define ONE_WIRE_H_

#define DS_PORT PORTBbits.RB3
#define DS_TRIS TRISBbits.TRISB3

#define SKIP_ROM		0xCC
#define CONVERT_T		0x44
#define READ_SCRATCHPAD         0xBE

unsigned char Ow_Reset(void);
unsigned char Ow_Read(void);
void Ow_Write(unsigned char data);

#endif /* ONE_WIRE_H_ */